import 'dart:convert';
import 'package:intl/intl.dart';

typedef Json = Map<String, dynamic>;

class CMNDModel {
  CMNDModel({
    this.address,
    this.age,
    this.birthday,
    this.blurCheck,
    this.colorCheck,
    this.cornerCheck,
    this.district,
    this.doctype,
    this.ethnicity,
    this.expireCheck,
    this.expiry,
    this.frontBackType,
    this.frontFlg,
    this.homeTown,
    this.id,
    this.imageRoi,
    this.issueAt,
    this.issueDate,
    this.logiccheck,
    this.logicmessage,
    this.name,
    this.province,
    this.religion,
    this.resultCode,
    this.sex,
    this.throwScreenCheck,
    this.ward,
    this.createAt,
    this.pasteOverCheck,
  });

  String? address;
  String? age;
  String? birthday;
  String? blurCheck;
  String? colorCheck;
  String? cornerCheck;
  String? district;
  String? doctype;
  String? ethnicity;
  String? expireCheck;
  String? expiry;
  String? frontBackType;
  String? frontFlg;
  String? homeTown;
  String? id;
  String? imageRoi;
  String? issueAt;
  String? issueDate;
  String? logiccheck;
  String? logicmessage;
  String? name;
  String? province;
  String? religion;
  String? resultCode;
  String? sex;
  String? throwScreenCheck;
  String? ward;
  String? createAt;
  String? pasteOverCheck;
  factory CMNDModel.fromJson(String str) => CMNDModel.fromMap(json.decode(str));

  String toJson() => json.encode(toMap());

  factory CMNDModel.fromMap(Json json) => CMNDModel(
      address: json['address'] ?? '',
      age: (json['age'] ?? '').toString(),
      birthday: json['birthday'] ?? '',
      blurCheck: json['blur_check'] ?? '',
      colorCheck: json['color_check'] ?? '',
      cornerCheck: json['corner_check'] ?? '',
      district: json['district'] ?? '',
      doctype: json['doctype'] ?? '',
      ethnicity: json['ethnicity'] ?? '',
      expireCheck: json['expire_check'] ?? '',
      expiry: json['expiry'] ?? '',
      frontBackType: json['front_back_type'] ?? '',
      frontFlg: (json['front_flg'] ?? '').toString(),
      homeTown: json['home_town'] ?? '',
      id: json['id'] ?? '',
      imageRoi: json['image_roi'] ?? '',
      issueAt: json['issue_at'] ?? '',
      issueDate: json['issue_date'] ?? '',
      logiccheck: json['logiccheck'] ?? '',
      logicmessage: json['logicmessage'] ?? '',
      name: json['name'] ?? '',
      province: json['province'] ?? '',
      religion: json['religion'] ?? '',
      resultCode: (json['result_code'] ?? '').toString(),
      sex: json['sex'] ?? '',
      throwScreenCheck: json['throw_screen_check'] ?? '',
      pasteOverCheck: json['paste_over_check'] ?? '',
      ward: json['ward'] ?? '',
      createAt: json['createAt'] ?? DateFormat('hh:mm:ss - dd/MM/yyyy').format(DateTime.now()));

  Json toMap() => {
        'address': address,
        'age': age,
        'birthday': birthday,
        'blur_check': blurCheck,
        'color_check': colorCheck,
        'corner_check': cornerCheck,
        'district': district,
        'doctype': doctype,
        'ethnicity': ethnicity,
        'expire_check': expireCheck,
        'expiry': expiry,
        'front_back_type': frontBackType,
        'front_flg': frontFlg,
        'home_town': homeTown,
        'id': id,
        'image_roi': imageRoi,
        'issue_at': issueAt,
        'issue_date': issueDate,
        'logiccheck': logiccheck,
        'logicmessage': logicmessage,
        'name': name,
        'province': province,
        'religion': religion,
        'result_code': resultCode,
        'sex': sex,
        'throw_screen_check': throwScreenCheck,
        'ward': ward,
        'createAt': createAt,
        'paste_over_check': pasteOverCheck,
      };
}
