import 'dart:convert';

typedef Json = Map<String, dynamic>;

class FaceComprate {
  FaceComprate({
    this.bboxFaces1,
    this.bboxFaces2,
    this.faceCompare,
    this.message,
    this.numFaces1,
    this.numFaces2,
    this.resultCode,
    this.score,
  });

  final List<List<int>>? bboxFaces1;
  final List<List<int>>? bboxFaces2;
  final int? faceCompare;
  final String? message;
  final int? numFaces1;
  final int? numFaces2;
  final int? resultCode;
  final String? score;

  factory FaceComprate.fromJson(String str) => FaceComprate.fromMap(json.decode(str));

  String toJson() => json.encode(toMap());

  factory FaceComprate.fromMap(Json json) => FaceComprate(
        bboxFaces1: json['bbox_faces1'] == null ? null : List<List<int>>.from(json['bbox_faces1'].map((x) => List<int>.from(x.map((x) => x)))),
        bboxFaces2: json['bbox_faces2'] == null ? null : List<List<int>>.from(json['bbox_faces2'].map((x) => List<int>.from(x.map((x) => x)))),
        faceCompare: json['face_compare'],
        message: json['message'] ?? '',
        numFaces1: json['num_faces1'],
        numFaces2: json['num_faces2'],
        resultCode: json['result_code'],
        score: json['score'],
      );

  Json toMap() => {
        'bbox_faces1': bboxFaces1 == null ? null : List<dynamic>.from(bboxFaces1!.map((x) => List<dynamic>.from(x.map((x) => x)))),
        'bbox_faces2': bboxFaces2 == null ? null : List<dynamic>.from(bboxFaces2!.map((x) => List<dynamic>.from(x.map((x) => x)))),
        'face_compare': faceCompare,
        'message': message,
        'num_faces1': numFaces1,
        'num_faces2': numFaces2,
        'result_code': resultCode,
        'score': score,
      };
}
