import 'dart:typed_data';

import 'package:dio/dio.dart';

import '../api/api_string.dart';
import '../api/http_client.dart';

class ApiProvider {
  factory ApiProvider() {
    return _instance;
  }

  ApiProvider._internal();
  static final ApiProvider _instance = ApiProvider._internal();
  static Future<Response> uploadID(Uint8List image, Uint8List image2) async {
    final response = await ApiClient.connect(
      ApiMethod.post,
      ApiString.uploadCMND,
      data: FormData.fromMap(
        {
          'image1': MultipartFile.fromBytes(image, filename: 'image1.png'),
          'image2': MultipartFile.fromBytes(image2, filename: 'image2.png'),
          'encode': 1,
        },
      ),
    );
    return response;
  }

  static Future<Response> faceCompare(Uint8List image, Uint8List image2) async {
    final response = await ApiClient.connect(
      ApiMethod.post,
      ApiString.faceComprate,
      data: FormData.fromMap(
        {
          'image1': MultipartFile.fromBytes(image, filename: 'face_one.png'),
          'image2': MultipartFile.fromBytes(image2, filename: 'face_two.png'),
        },
      ),
    );
    return response;
  }
}
