import 'package:flutter/services.dart';
import 'package:get/get.dart';

import '../../../configs/config.dart';
import '../../../configs/language/translate.dart';
import '../bindings/app_binding.dart';
import '../../../routes/app_pages.dart';
import '../controllers/app_controller.dart';

class AppView extends GetView<AppController> {
  const AppView({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    SystemChrome.setPreferredOrientations(<DeviceOrientation>[
      DeviceOrientation.portraitUp,
      DeviceOrientation.portraitDown,
    ]);
    return GetMaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'SmartSDK',
      getPages: AppPages.routes,
      initialRoute: AppPages.INITIAL,
      theme: AppTheme.theme,
      translations: MyTranslations(),
      locale: const Locale('vi', 'VI'),
      initialBinding: AppBinding(),
    );
  }
}
