import 'package:get/get.dart';

import '../../app/controllers/app_controller.dart';
import '../views/display_photo_view.dart';
import '../../id_card_scanner/views/id_card_scanner_view.dart';
import '../../../routes/app_pages.dart';

class DisplayPhotoController extends GetxController {
  late DisplayPhotoViewArguments arguments;
  @override
  void onInit() {
    arguments = Get.arguments as DisplayPhotoViewArguments;
    super.onInit();
  }

  @override
  void onClose() {}

  void retakePicture() {
    Get.offAndToNamed(Routes.ID_CARD_SCANNER,
        arguments: IdCardScannerViewArguments(
          title: (arguments.isBackSide ? 'backside' : 'front').tr.toLowerCase(),
          isBackSide: arguments.isBackSide,
        ));
  }

  void scanBackSide(bool isBackSide) {
    isBackSide
        ? Get.find<AppController>().uploadIDCard()
        : Get.offAndToNamed(
            Routes.ID_CARD_SCANNER,
            arguments: IdCardScannerViewArguments(
              title: (!isBackSide ? 'backside' : 'front').tr.toLowerCase(),
              isBackSide: true,
            ),
          );
  }
}
