import 'package:flutter/cupertino.dart';
import 'package:get/get.dart' hide ContextExtensionss;

import '../../../configs/config.dart';
import '../../../routes/app_pages.dart';
import '../../../widgets/app_button.dart';

class ResultNotify extends StatelessWidget {
  const ResultNotify({Key? key, required this.result}) : super(key: key);
  final bool result;
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: <Widget>[
        (result
                ? [
                    Image.asset(AppImage.checked, width: 77),
                    Dimens.height10,
                    'result_message'
                        .tr
                        .text
                        .center
                        .color(const Color(0xff0AA06E))
                        .bold
                        .size(18)
                        .make()
                        .pSymmetric(h: 10),
                  ]
                : [
                    Image.asset(AppImage.cancel, width: 77),
                    Dimens.height10,
                    'error_message'
                        .tr
                        .text
                        .center
                        .color(const Color(0xffF15249))
                        .bold
                        .size(18)
                        .make(),
                  ])
            .column(
              alignment: MainAxisAlignment.center,
              axisSize: MainAxisSize.max,
            )
            .box
            .p4
            .withRounded(value: 7)
            .size(context.width * .8, context.width * .8)
            .white
            .makeCentered()
            .expand(),
        if (!result)
          AppButton(
            'again'.tr,
            type: ButtonType.outline,
            textColor: Colors.white,
            borderColor: Colors.white,
            fontSize: 18,
            borderRadius: 30,
            onPressed: () {
              Get.offNamed(Routes.ID_CARD_SCANNER);
            },
          ).box.size(220, 50).make().pOnly(bottom: 30),
      ]
          .column(
            alignment: MainAxisAlignment.center,
            axisSize: MainAxisSize.max,
          )
          .safeArea(),
    );
  }
}
