import 'package:get/get.dart' hide ContextExtensionss;

import '../controllers/language_controller.dart';
import '../../../configs/config.dart';

class LanguageView extends GetView<LanguageController> {
  const LanguageView({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        backgroundColor: Colors.white,
        elevation: 0,
        title: Dimens.logo,
        centerTitle: true,
      ),
      body: [
        'title_language'.tr.text.size(18).make().pOnly(top: 20),
        Dimens.height44,
        [
          _item(
              title: 'vietname'.tr,
              image: AppImage.viPlag,
              context: context,
              onTap: () {
                controller.changeLanguage(const Locale('vi'));
              }),
          Dimens.width20,
          _item(
              title: 'english'.tr,
              image: AppImage.enPlag,
              context: context,
              onTap: () {
                controller.changeLanguage(const Locale('en'));
              }),
        ].row().pSymmetric(h: 20),
      ].column().box.width(context.width).make().safeArea(),
    );
  }

  Widget _item({
    required String title,
    required String image,
    required VoidCallback onTap,
    required BuildContext context,
  }) {
    return [
      Image.asset(image, fit: BoxFit.cover)
          .box
          .width(context.width * .32)
          .make(),
      Dimens.height10,
      title.text.size(18).make(),
    ].column().onInkTap(onTap);
  }
}
