part of liveness;

class LivenessAction extends StatelessWidget {
  const LivenessAction(
      {Key? key,
      required this.onLastStep,
      required this.elseChild,
      required this.takePortraitsImage})
      : super(key: key);
  final Stream<bool> onLastStep;
  final Widget elseChild;
  final VoidCallback takePortraitsImage;
  @override
  Widget build(BuildContext context) {
    return Expanded(
      flex: 5,
      child: StreamBuilder<bool>(
        stream: onLastStep,
        initialData: false,
        builder: (context, AsyncSnapshot<bool> snapshot) {
          return AnimatedSwitcher(
            duration: const Duration(seconds: 1),
            child: snapshot.data!
                ? Column(
                    children: [
                       Text(
                        'Take Portraits'.tr,
                        style:const TextStyle(
                          color: Colors.white,
                          fontSize: 18,
                          fontWeight: FontWeight.w400,
                        ),
                      ),
                      const SizedBox(height: 40),
                      Container(
                        height: MediaQuery.of(context).size.height / 10,
                        padding: const EdgeInsets.all(5),
                        decoration: BoxDecoration(
                          shape: BoxShape.circle,
                          border: Border.all(color: Colors.white, width: 3),
                        ),
                        child: InkWell(
                          customBorder: const CircleBorder(),
                          onTap: takePortraitsImage,
                          child: Container(
                            decoration: const BoxDecoration(
                              color: Colors.white,
                              shape: BoxShape.circle,
                            ),
                          ),
                        ),
                      ),
                    ],
                  )
                : elseChild,
          );
        },
      ),
    );
  }
}
