part of liveness;

class LivenessProcesss extends StatelessWidget {
  const LivenessProcesss({
    Key? key,
    required this.sizeHeight,
    required this.sizeWidth,
    required this.currentStep,
    required this.doingStep,
  }) : super(key: key);
  final double sizeHeight, sizeWidth;
  final ValueNotifier<int> currentStep;
  final int doingStep;
  @override
  Widget build(BuildContext context) {
    return Positioned(
      top: sizeHeight / 4.1,
      child: RotationTransition(
        turns: const AlwaysStoppedAnimation(240 / 360),
        child: SizedBox.fromSize(
          size: Size(sizeWidth * 0.84, sizeHeight * 0.44),
          child: Stack(
            children: List.generate(60, (i) {
              return Positioned.fill(
                left: sizeWidth * 0.46,
                top: sizeHeight * 0.24,
                child: Transform(
                  transform: Matrix4.rotationZ(6.0 * i * 0.0174533),
                  child: Align(
                    alignment: Alignment.bottomRight,
                    child: Transform.rotate(
                      angle: 39.85,
                      child: ValueListenableBuilder(
                          valueListenable: currentStep,
                          builder: (context, snapshot, _) {
                            return Stack(
                              children: <Widget>[
                                AnimatedContainer(
                                  height: onRunOneStep(i) ? 30 : 0,
                                  duration: Duration(milliseconds: i * 30),
                                  child: Image.asset(
                                    pathAssetImage('vector_blue'),
                                    color: context.primaryColor,
                                  ),
                                ),
                                AnimatedContainer(
                                  height: onRunOneStep(i) ? 0 : 30,
                                  duration: Duration(milliseconds: i * 30),
                                  child: Image.asset(
                                    pathAssetImage('vector_white'),
                                    color: context.onBackground,
                                  ),
                                ),
                              ],
                            );
                          }),
                    ),
                  ),
                ),
              );
            }),
          ),
        ),
      ),
    );
  }

  String pathAssetImage(String name) => 'assets/images/detection/$name.png';
  bool onRunOneStep(int i) {
    var runOneStep = (60 / doingStep) * (currentStep.value);
    if (i < runOneStep) {
      return true;
    } else {
      return false;
    }
  }
}
