part of liveness;

class LivenessTitle extends StatelessWidget {
  const LivenessTitle({
    Key? key,
    required this.listenWhenOutZone,
    required this.step,
  }) : super(key: key);
  final Stream<bool> listenWhenOutZone;
  final ValueNotifier<DetectionType> step;

  @override
  Widget build(BuildContext context) {
    return StreamBuilder<bool>(
        stream: listenWhenOutZone,
        builder: (context, snapshot) {
          return AnimatedSwitcher(
            duration: const Duration(seconds: 1),
            child: ((snapshot.data ?? true) == false)
                ? ValueListenableBuilder(
                    valueListenable: step,
                    builder: (context, snapshot, _) {
                      return AnimatedSwitcher(
                        duration: const Duration(seconds: 1),
                        child: LivenessImageAction(
                          key: UniqueKey(),
                          imageName: snapshot == DetectionType.LOOK_LEFT
                              ? 'turn_left'
                              : snapshot == DetectionType.LOOK_RIGHT
                                  ? 'turn_right'
                                  : snapshot == DetectionType.EYES_BLINK
                                      ? 'bling_eyes'
                                      : snapshot == DetectionType.SMILE
                                          ? 'smile'
                                          : snapshot ==
                                                  DetectionType.LOOK_STRAIGHT
                                              ? 'face'
                                              : 'face',
                          title: snapshot == DetectionType.LOOK_LEFT
                              ? 'detector_face_left'.tr
                              : snapshot == DetectionType.LOOK_RIGHT
                                  ? 'detector_face_right'.tr
                                  : snapshot == DetectionType.EYES_BLINK
                                      ? 'detector_eyes_bling'.tr
                                      : snapshot == DetectionType.SMILE
                                          ? 'detector_face_smile'.tr
                                          : snapshot ==
                                                  DetectionType.LOOK_STRAIGHT
                                              ? 'detector_face_stand'.tr
                                              : 'detector_finish'.tr,
                          assetType: (snapshot == DetectionType.LOOK_STRAIGHT)
                              ? AssetType.Image
                              : AssetType.GIF,
                        ),
                      );
                    })
                : Text(
                    'detector_face_detect_error'.tr,
                    textAlign: TextAlign.center,
                    style: TextStyle(
                      color: context.onBackground,
                      fontSize: 18,
                      fontWeight: FontWeight.w400,
                    ),
                  ),
          );
        });
  }
}
