import 'package:flutter/material.dart';
import 'package:get/get.dart' hide ContextExtensionss;
import 'package:velocity_x/velocity_x.dart';

import '../controllers/note_controller.dart';
import '../../../configs/config.dart';
import '../../../routes/app_pages.dart';
import '../../../widgets/widget.dart';

class NoteView extends GetView<NoteController> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: const Color(0xffF4F9FF),
        body: <Widget>[
          <Widget>[
            'please_note'
                .tr
                .text
                .fontWeight(FontWeight.w700)
                .size(24)
                .make()
                .pOnly(top: 50, bottom: 50),
            _ItemNote(
              image: AppImage.note_1,
              title: 'note_1'.tr,
            ),
            _ItemNote(
              image: AppImage.note_2,
              title: 'note_2'.tr,
            ),
            _ItemNote(
              image: AppImage.note_3,
              title: 'note_3'.tr,
            ),
            _ItemNote(
              image: AppImage.note_4,
              title: 'note_4'.tr,
            )
          ].column().scrollVertical().expand(),
          AppButton(
            'understand'.tr,
            onPressed: () {
              Get.offNamed(Routes.ID_CARD_SCANNER);
            },
            borderRadius: 37,
            fontSize: 18,
          ).box.size(220, 50).make().pOnly(bottom: context.height * .04)
        ].column().safeArea());
  }
}

class _ItemNote extends StatelessWidget {
  const _ItemNote({Key? key, required this.image, required this.title})
      : super(key: key);
  final String image, title;

  @override
  Widget build(BuildContext context) {
    return Card(
        color: Colors.white,
        margin: const EdgeInsets.symmetric(
          horizontal: 15,
          vertical: 5,
        ),
        child: <Widget>[
          Image.asset(image, fit: BoxFit.cover, width: 40, height: 30),
          Dimens.width15,
          title.text.make().expand(),
        ]
            .row(
              alignment: MainAxisAlignment.start,
              axisSize: MainAxisSize.max,
            )
            .box
            .padding(const EdgeInsets.symmetric(vertical: 15))
            .withRounded(value: 7)
            .make()
            .pSymmetric(h: 10));
  }
}
