import 'package:get/get.dart' hide ContextExtensionss;

import '../../../configs/config.dart';
import '../../../data/models/history.dart';
import '../../infomation/controllers/infomation_controller.dart';
import '../../../utils/logger.dart';
import '../controllers/result_controller.dart';

class ResultView extends GetView<ResultController> {
  InfomationController get to => Get.find();
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          elevation: 0,
          backgroundColor: context.primaryVariant,
          automaticallyImplyLeading: false,
          title: Row(
            children: [
              const Icon(Icons.arrow_back_ios).onInkTap(() => Get.back()),
              Dimens.width10,
              'check_result'.tr.text.size(18).bold.make(),
            ],
          ),
        ),
        body: [
          to.historyModel!.check
              ? success(to.historyModel)
              : error(to.historyModel!),
          info(),
        ].column().scrollVertical().safeArea());
  }

  Widget success(HistoryModel? historyModel) => <Widget>[
        Row(
          children: [
            Image.asset(AppImage.checked, width: 45, height: 45),
            Dimens.width10,
            Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Dimens.height10,
                'result_success'
                    .tr
                    .text
                    .color(const Color(0xff0AA06E))
                    .size(18)
                    .make(),
                Dimens.height3,
                (to.historyModel?.createAtString ?? '')
                    .text
                    .size(10)
                    .minFontSize(10)
                    .color(const Color(0xff000000))
                    .italic
                    .make(),
              ],
            )
          ],
        )
      ]
          .column()
          .box
          .withRounded(value: 7)
          .margin(const EdgeInsets.all(10))
          .padding(const EdgeInsets.all(10))
          .white
          .make();
  Widget error(cmndModel) => <Widget>[
        Row(
          children: [
            Image.asset(AppImage.cancel, width: 45, height: 45),
            Dimens.width10,
            Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Dimens.height10,
                'result_error'.tr.text.red500.size(18).make(),
                Dimens.height3,
                (to.historyModel?.createAtString ?? '')
                    .text
                    .size(10)
                    .minFontSize(10)
                    .color(const Color(0xff000000))
                    .italic
                    .make(),
              ],
            )
          ],
        )
      ]
          .column()
          .box
          .withRounded(value: 7)
          .margin(const EdgeInsets.all(10))
          .padding(const EdgeInsets.all(10))
          .white
          .make();
  Widget info() {
    UtilLogger.log(Get.locale?.languageCode);
    return <Widget>[
      detail(
        'face_comparison'.tr,
        faceCheck(to.historyModel?.faceComprate?.message ?? ''),
        result: to.historyModel?.faceComprate?.message == 'Same person',
      ),
      detail(
        'checkID'.tr,
        idCheck(to.historyModel?.cmndModel?.frontBackType ?? ''),
        result: to.historyModel?.cmndModel?.frontBackType == 'same type',
      ),
      detail(
        'check_logic'.tr,
        to.historyModel?.cmndModel?.logiccheck == null
            ? 'null'
            : to.historyModel?.cmndModel?.logiccheck == 'GOOD'
                ? 'Passed'.tr
                : 'Failed'.tr,
        result: to.historyModel?.cmndModel?.logiccheck == 'GOOD',
      ),
      detail(
        'Logic message'.tr,
        to.historyModel?.cmndModel?.logicmessage ?? 'null',
        result: to.historyModel?.cmndModel?.logiccheck == 'GOOD',
      ),
      detail(
        'Blurriness check: '.tr,
        to.historyModel?.cmndModel?.blurCheck == null
            ? 'null'
            : to.historyModel?.cmndModel?.blurCheck == 'GOOD'
                ? 'Passed'.tr
                : 'mờ nhòe'.tr,
        result: to.historyModel?.cmndModel?.blurCheck == 'GOOD',
      ),
      detail(
        'Photocopy check: '.tr,
        to.historyModel?.cmndModel?.colorCheck == null
            ? 'null'
            : to.historyModel?.cmndModel?.colorCheck == 'GOOD'
                ? 'Passed'.tr
                : 'bản photocopy'.tr,
        result: to.historyModel?.cmndModel?.colorCheck == 'GOOD',
      ),
      detail(
        'Corner cut check:'.tr,
        to.historyModel?.cmndModel?.cornerCheck == null
            ? 'null'
            : to.historyModel?.cmndModel?.cornerCheck == 'GOOD'
                ? 'Passed'.tr
                : 'đã cắt góc'.tr,
        result: to.historyModel?.cmndModel?.cornerCheck == 'GOOD',
      ),
      detail(
        'Expiration check: '.tr,
        expireCheck(to.historyModel?.cmndModel?.expireCheck ?? ''),
        result: to.historyModel?.cmndModel?.expireCheck == 'OK',
      ),
      detail(
        'Portrait-image-pasted-on-ID check:'.tr,
        to.historyModel?.cmndModel?.pasteOverCheck == null
            ? 'null'
            : to.historyModel?.cmndModel?.pasteOverCheck == 'GOOD'
                ? 'Passed'.tr
                : 'có dấu hiệu dán đè'.tr,
        result: to.historyModel?.cmndModel?.pasteOverCheck == 'GOOD',
      ),
      detail(
        'Images-captured-through-screen check:'.tr,
        to.historyModel?.cmndModel?.throwScreenCheck == null
            ? 'null'
            : to.historyModel?.cmndModel?.throwScreenCheck == 'GOOD'
                ? 'Passed'.tr
                : 'chụp qua màn hình'.tr,
        result: to.historyModel?.cmndModel?.throwScreenCheck == 'GOOD',
      ),
      // detail(
      //   'Number of faces in the selfie:'.tr,
      //   '${to.historyModel?.faceComprate?.numFaces1}',
      //   result: to.historyModel?.faceComprate?.numFaces1 == 1,
      // ),
    ]
        .column()
        .box
        .withRounded(value: 7)
        .margin(const EdgeInsets.all(10))
        .padding(const EdgeInsets.all(10))
        .white
        .make();
  }

  Widget detail(String title, String value, {bool result = true}) {
    return [
      title.text
          .size(14)
          .color(const Color(0xff000000))
          .maxLines(2)
          .make()
          .expand(),
      value.text
          .color(result ? const Color(0xff07D863) : const Color(0xffF15249))
          .make(),
    ]
        .row(
          axisSize: MainAxisSize.max,
          alignment: MainAxisAlignment.spaceBetween,
        )
        .paddingOnly(top: 8, bottom: 8);
  }

  String expireCheck(String? check) {
    switch (check) {
      case 'OK':
        return 'Still valid'.tr;
      case 'EXPIRED':
        return 'đã hết hạn'.tr;
      default:
        return 'null';
    }
  }

  String faceCheck(String? check) {
    switch (check ?? '') {
      case 'Can not detect face':
        return 'not_detect_face'.tr;
      case 'Same person':
        return 'same_person'.tr;
      case 'Two person':
        return 'two_person'.tr;
      default:
        return 'null';
    }
  }

  String idCheck(String check) {
    switch (check) {
      case 'same type':
        return 'Same type of ID'.tr;
      case 'Two person':
        return 'are of different ID types'.tr;
      default:
        return 'null';
    }
  }
}
