import 'package:get/get.dart';

import '../../../configs/application.dart';
import '../../../data/models/config.dart';
import '../../liveness_detection/liveness_detection.dart';
import '../../../routes/app_pages.dart';

class FaceModel {
  FaceModel({
    required this.detectionType,
    required this.title,
    this.checked = true,
  });
  final DetectionType detectionType;
  final String title;
  bool checked;
}

class SettingController extends GetxController
    with StateMixin<List<FaceModel>> {
  late Rx<SkdConfig> config;

  @override
  void onInit() {
    config = Application.config.obs;
    super.onInit();
  }

  void selectFace(FaceModel faceModel) {
    change(
        state!.map((e) {
          if (e.detectionType == faceModel.detectionType) {
            e.checked = !e.checked;
          }
          return e;
        }).toList(),
        status: RxStatus.success());
  }

  void onReorder(int oldIndex, int newIndex) {
    if (newIndex > oldIndex) {
      newIndex -= 1;
    }
    final item = state!.removeAt(oldIndex);
    state!.insert(newIndex, item);
    change(state, status: RxStatus.success());
  }

  void saveConfig() {
    // var impotant = faces.any((e) =>
    //     (e.detectionType == DetectionType.SMILE ||
    //         e.detectionType == DetectionType.EYES_BLINK) &&
    //     e.checked);
    // if (faces.where((e) => e.checked).length <= 1 || !impotant) {
    //   ScaffoldMessenger.of(context).showSnackBar(SnackBar(
    //     content: 'Vui lòng chọn từ 2 hành động phát hiện khuôn mặt trở lên'
    //         .tr
    //         .text
    //         .make(),
    //     duration: Dimens.snapBarDuration,
    //   ));
    // } else {
    //   config.value.faceConfig.listDetectorType =
    //       faces.where((e) => e.checked).map((e) => e.detectionType).toList();
    Application.setConfig(config.value);
    Get.toNamed(Routes.WELCOME);
    // }
  }
}
