import 'package:signature/signature.dart';
import 'package:get/get.dart' hide ContextExtensionss;

import '../../../configs/config.dart';
import '../../../widgets/widget.dart';

import '../controllers/upload_signature_controller.dart';

class DigitalSignatureView extends GetView<UploadSignatureController> {
  const DigitalSignatureView({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final width = context.width * .8;
    return Scaffold(
      body: [
        'Vui lòng ký vào ô vuông dưới đây'
            .text
            .white
            .align(TextAlign.center)
            .make()
            .paddingOnly(top: 50, bottom: 50),
        Signature(
          controller: controller.controller,
          height: width,
          width: width,
          backgroundColor: Colors.white,
        ),
        const Spacer(),
        'Ký lại'.text.white.underline.make().onTap(() {
          controller.controller.clear();
        }),
        Dimens.height10,
        AppButton(
          'Xác nhận',
          borderRadius: 30,
          onPressed: controller.captureSignture,
        ).box.width(200).make(),
        Dimens.height30,
      ]
          .column()
          .box
          .width(context.width)
          .height(context.height - context.padding.top - context.padding.bottom)
          .make()
          .scrollHorizontal()
          .safeArea(),
    );
  }
}
