import 'package:get/get.dart' hide ContextExtensionss;
import 'dart:io';

import '../../../configs/config.dart';
import '../../../utils/app_utils.dart';
import '../../../widgets/app_button.dart';
import '../controllers/upload_signature_controller.dart';

class UploadSignatureView extends GetView<UploadSignatureController> {
  const UploadSignatureView({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return WillPopScope(
      onWillPop: AppUtils.onWillPop,
      child: Scaffold(
        body: <Widget>[
          Obx(() {
            if (controller.image.isEmpty) {
              return const _ChooseButton();
            } else {
              return const _ImageSignature();
            }
          })
        ]
            .column()
            .box
            .width(context.width)
            .height(
                context.height - context.padding.top - context.padding.bottom)
            .make()
            .scrollHorizontal()
            .safeArea(),
      ),
    );
  }
}

class _ChooseButton extends StatelessWidget {
  const _ChooseButton({Key? key}) : super(key: key);
  UploadSignatureController get to => Get.find();
  @override
  Widget build(BuildContext context) {
    final width = context.width * .8;
    return [
      'signature_description'
          .tr
          .text
          .size(18)
          .white
          .align(TextAlign.center)
          .make()
          .paddingOnly(top: 100, bottom: 50, left: 20, right: 20),
      [
        Image.asset(AppImage.uploadImage).pOnly(left: 10),
        Dimens.height10,
        'upload_image'.tr.text.size(18).bold.make(),
      ]
          .column(
            alignment: MainAxisAlignment.center,
            crossAlignment: CrossAxisAlignment.center,
          )
          .box
          .withRounded(value: 5)
          .white
          .size(width, context.height * .3)
          .make()
          .onTap(to.showBottomSheet),
      Dimens.height20,
      VxBox(
        child: const Icon(
          Icons.play_circle_outline_rounded,
          color: Colors.white,
          size: 50,
        ),
      ).size(width, context.height * .23).withRounded(value: 5).gray400.make(),
    ].column();
  }
}

class _ImageSignature extends StatelessWidget {
  const _ImageSignature({Key? key}) : super(key: key);
  UploadSignatureController get to => Get.find();
  @override
  Widget build(BuildContext context) {
    final width = context.width * .8;
    return <Widget>[
      'signature_title'
          .tr
          .text
          .size(18)
          .white
          .align(TextAlign.center)
          .make()
          .paddingOnly(top: 100, bottom: 50, left: 20, right: 20),
      Image.file(File(to.image))
          .box
          .white
          .size(width, context.height * .3)
          .withRounded(value: 5)
          .makeCentered(),
      const Spacer(),
      're-upload'.tr.text.size(18).white.underline.make().onTap(to.clearImage),
      Dimens.height20,
      AppButton(
        'confirm'.tr,
        borderRadius: 30,
        onPressed: to.confirm,
        fontSize: 18,
      ).box.height(50).width(200).make(),
      Dimens.height30,
    ].column().expand();
  }
}
