import 'dart:async';
import 'package:get/get.dart';

import '../../../configs/config.dart';

class WelcomeController extends GetxController {
  final RxInt indexPage = 0.obs;
  Timer? _timer;
  PageController pageController = PageController(initialPage: 0);
  List<SlideModel> slides = [
    SlideModel(image: AppImage.welcome_1, title: 'welcome_1'),
    SlideModel(image: AppImage.welcome_2, title: 'welcome_2'),
    SlideModel(image: AppImage.welcome_3, title: 'welcome_3'),
  ];

  @override
  void onInit() {
    _timer = Timer.periodic(const Duration(seconds: 5), (Timer timer) {
      if (indexPage.value < 2) {
        indexPage.value++;
      } else {
        indexPage.value = 0;
      }
      pageController.animateToPage(
        indexPage.value,
        duration: const Duration(milliseconds: 350),
        curve: Curves.easeIn,
      );
    });
    super.onInit();
  }

  @override
  void onReady() {
    super.onReady();
  }

  @override
  void onClose() {
    _timer?.cancel();
  }
}

class SlideModel {
  final String image, title;
  SlideModel({required this.image, required this.title});
}
