import 'package:get/get.dart';

import '../modules/liveness_detection/liveness_detection.dart';
import '../modules/display_photo/bindings/display_photo_binding.dart';
import '../modules/display_photo/views/display_photo_view.dart';
import '../modules/history/bindings/history_binding.dart';
import '../modules/history/views/history_view.dart';
import '../modules/id_card_scanner/bindings/id_card_scanner_binding.dart';
import '../modules/id_card_scanner/views/id_card_scanner_view.dart';
import '../modules/infomation/bindings/infomation_binding.dart';
import '../modules/infomation/views/infomation_view.dart';
import '../modules/language/bindings/language_binding.dart';
import '../modules/language/views/language_view.dart';
import '../modules/note/bindings/note_binding.dart';
import '../modules/note/views/note_view.dart';
import '../modules/result/bindings/result_binding.dart';
import '../modules/result/views/result_view.dart';
import '../modules/setting/bindings/setting_binding.dart';
import '../modules/setting/views/setting_view.dart';
import '../modules/upload_signature/bindings/upload_signature_binding.dart';
import '../modules/upload_signature/views/digital_signature_view.dart';
import '../modules/upload_signature/views/upload_signature_view.dart';
import '../modules/welcome/bindings/welcome_binding.dart';
import '../modules/welcome/views/welcome_view.dart';

part 'app_routes.dart';

class AppPages {
  AppPages._();

  static const INITIAL = Routes.LANGUAGE;

  static final routes = [
    GetPage(
      name: _Paths.WELCOME,
      page: () => WelcomeView(),
      binding: WelcomeBinding(),
    ),
    GetPage(
      name: _Paths.UPLOAD_SIGNATURE,
      page: () => UploadSignatureView(),
      binding: UploadSignatureBinding(),
    ),
    GetPage(
      name: _Paths.DIGITAL_SIGNATURE,
      page: () => const DigitalSignatureView(),
      binding: UploadSignatureBinding(),
    ),
    GetPage(
      name: _Paths.INFOMATION,
      page: () => InfomationView(),
      binding: InfomationBinding(),
    ),
    GetPage(
      name: _Paths.ID_CARD_SCANNER,
      page: () => IdCardScannerView(),
      binding: IdCardScannerBinding(),
    ),
    GetPage(
      name: _Paths.DISPLAY_PHOTO,
      page: () => DisplayPhotoView(),
      binding: DisplayPhotoBinding(),
    ),
    GetPage(
      name: _Paths.RESULT,
      page: () => ResultView(),
      binding: ResultBinding(),
    ),
    GetPage(
      name: _Paths.LANGUAGE,
      page: () => LanguageView(),
      binding: LanguageBinding(),
    ),
    GetPage(
      name: _Paths.NOTE,
      page: () => NoteView(),
      binding: NoteBinding(),
    ),
    GetPage(
      name: _Paths.HISTORY,
      page: () => HistoryView(),
      binding: HistoryBinding(),
    ),
    GetPage(
      name: _Paths.CHOOSE_SCREEN,
      page: () => const ChooseScreen(),
    ),
    GetPage(
      name: _Paths.SETTING,
      page: () => SettingView(),
      binding: SettingBinding(),
    ),
    GetPage(
      name: _Paths.LIVENESS_DETECTION,
      page: () => const LivenessDetectionView(),
    ),
  ];
}
