import 'dart:developer' as developer;
import 'package:get/get.dart';

import '../configs/application.dart';
import '../configs/config.dart';

class UtilLogger {
  factory UtilLogger() {
    return _instance;
  }

  UtilLogger._internal();
  static final UtilLogger _instance = UtilLogger._internal();
  static const String tag = 'App';

  static void log(dynamic msg, {String tag = tag}) {
    if (Application.debug) {
      developer.log('$msg', name: tag);
    }
  }

  static void snackbar(String message) {
    ScaffoldMessenger.of(Get.context!)
        .showSnackBar(SnackBar(content: Text(message)));
  }
}
